import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TapdReviewApp } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-18 14:44
 */
interface TapdReviewAppCU extends ConditionUtil<TapdReviewAppCU> {
    ID: FieldUtil<TapdReviewAppCU>;
    APP_NAME: FieldUtil<TapdReviewAppCU>;
    APP_TYPE: FieldUtil<TapdReviewAppCU>;
    VERSION: FieldUtil<TapdReviewAppCU>;
    DESCRIPTION: FieldUtil<TapdReviewAppCU>;
    TAPD_ID: FieldUtil<TapdReviewAppCU>;
    CREATE_TIME: FieldUtil<TapdReviewAppCU>;
    UPDATE_TIME: FieldUtil<TapdReviewAppCU>;
}
declare class TapdReviewAppMU extends TableUtilImpl<TapdReviewAppCU, TapdReviewApp> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TapdReviewAppCU;
    static get ID(): FieldUtil<TapdReviewAppCU>;
    static get APP_NAME(): FieldUtil<TapdReviewAppCU>;
    static get APP_TYPE(): FieldUtil<TapdReviewAppCU>;
    static get VERSION(): FieldUtil<TapdReviewAppCU>;
    static get DESCRIPTION(): FieldUtil<TapdReviewAppCU>;
    static get TAPD_ID(): FieldUtil<TapdReviewAppCU>;
    static get CREATE_TIME(): FieldUtil<TapdReviewAppCU>;
    static get UPDATE_TIME(): FieldUtil<TapdReviewAppCU>;
    get ID(): FieldUtil<TapdReviewAppCU>;
    get APP_NAME(): FieldUtil<TapdReviewAppCU>;
    get APP_TYPE(): FieldUtil<TapdReviewAppCU>;
    get VERSION(): FieldUtil<TapdReviewAppCU>;
    get DESCRIPTION(): FieldUtil<TapdReviewAppCU>;
    get TAPD_ID(): FieldUtil<TapdReviewAppCU>;
    get CREATE_TIME(): FieldUtil<TapdReviewAppCU>;
    get UPDATE_TIME(): FieldUtil<TapdReviewAppCU>;
}
export { TapdReviewAppMU, TapdReviewAppCU };
